summaryrefslogtreecommitdiff
path: root/src/pm-is-supported
diff options
context:
space:
mode:
authorPeter Jones <pjones@redhat.com>2007-03-13 14:05:51 +0000
committerPeter Jones <pjones@redhat.com>2007-03-13 14:05:51 +0000
commitfaffa6b4fb3cfbd2df7f861cc121dd4ff36739cb (patch)
treeb1d1b47e7f75aa82b272c74909447cc5b53fa4b5 /src/pm-is-supported
parent428355d0870d7c4419a00753e9297e8160602784 (diff)
- add pm-is-supported
- add pm-suspend-hybrid
Diffstat (limited to 'src/pm-is-supported')
-rw-r--r--src/pm-is-supported52
1 files changed, 52 insertions, 0 deletions
diff --git a/src/pm-is-supported b/src/pm-is-supported
new file mode 100644
index 0000000..4f7e267
--- /dev/null
+++ b/src/pm-is-supported
@@ -0,0 +1,52 @@
+#!/bin/bash
+#
+# Copyright 2007 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of version 2 of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+
+help_options() {
+ echo "pm-is-supported [--suspend | --hibernate | --suspend-hybrid ]"
+ echo
+}
+
+export LC_COLLATE=C
+
+ARG=${1#--}
+
+[ -f /sys/power/state ] || exit 1
+
+case "$ARG" in
+ suspend)
+ grep -q mem /sys/power/state || exit 1
+ ;;
+ hibernate)
+ [ -f /sys/power/disk ] || exit 1
+ grep -q disk /sys/power/state || exit 1
+ ;;
+ suspend-hybrid)
+ # grep -q mem /sys/power/state || exit 1
+ # grep -q disk /sys/power/state || exit 1
+ exit 1
+ ;;
+ help)
+ help_options
+ ;;
+ *)
+ help_options 1>&2
+ exit 1
+ ;;
+esac
+
+exit 0